LDmicro0.1
MICRO=Atmel AVR ATmega16 40-PDIP
CYCLE=1000
CRYSTAL=4000000
BAUD=2400

IO LIST
    Xstart at 1
    Xstop at 3
    Ymaszyna at 10
    Y1 at 0
    Y2 at 0
    Y3 at 0
    Y4 at 0
    Anast at 0
    Atemp at 0
END

PROGRAM
RUNG
    COMMENT Zalaczenie/wylaczenie silnika krokowego
END
RUNG
    PARALLEL
        CONTACTS Xstart 0
        CONTACTS Ymaszyna 0
    END
    CONTACTS Xstop 1
    COIL Ymaszyna 0 0 0
END
RUNG
    COMMENT impulsator
END
RUNG
    CONTACTS Rimp 1
    TON T1 10000
    PARALLEL
        SERIES
            TOF T2 180000
            CONTACTS Rzv 0
        END
        SERIES
            TOF T3 10000
            CONTACTS Rzv 1
        END
    END
    CONTACTS Ymaszyna 0
    COIL Rimp 0 0 0
END
RUNG
    COMMENT natawa i odczyt temperatury
END
RUNG
    PARALLEL
        READ_ADC Atemp
        READ_ADC Anast
    END
END
RUNG
    GRT Atemp Anast
    COIL Rzv 0 0 0
END
RUNG
    COMMENT zliczanie imp. i sterowanie cewkami silnika
END
RUNG
    CONTACTS Rimp 0
    CTC Clicz 3
END
RUNG
    EQU Clicz 0
    COIL Y1 0 0 0
END
RUNG
    EQU Clicz 1
    COIL Y2 0 0 0
END
RUNG
    EQU Clicz 2
    COIL Y3 0 0 0
END
RUNG
    EQU Clicz 3
    COIL Y4 0 0 0
END
